<?php
/*
#################################################################
##     scriptingtown.de presents
#      SCT.Shout.V2.PHP
##
#      file: shout_inc.php
##
#      Bitte Nutzungsbedingungen der readme.txt entnehmen,
##     welche dem Script beiliegt! Beim benutzen des Scripts 
#      akzeptieren Sie die Nutzungsbedingungen!
##     Benutzung auf eigenes Risiko!
#
##     Dieses Script ist FREEWARE!
#################################################################
*/

include("shout_cfg.dat");

// ############# FUNCTIONS ######################################

// Datenarray umspeichern
function crosssave($anz, &$array)  
{
	for($i = $anz; $i > 0; $i--)
	{
		$array[$i] = $array[$i-1];
	}
}

// Text-Smilies in Grafiken umwandeln
function make_smilies(&$txt) 
{
	$sm_file = file("shout_smilies.dat"); 
	$sm_file_size = sizeof($sm_file);
	for ($i = 0; $i < $sm_file_size; $i++) 
	{
		$akt_sm = explode("",$sm_file[$i]);
		$txt = str_replace($akt_sm[1], "<img border=\"0\" src=\"" . $akt_sm[2] . "\">", $txt);
	}
	return $txt;
}

//text html-fhig machen
function mutate(&$txt)  
{
	$txt = htmlspecialchars(stripslashes($txt));
	return $txt;
}

//mutate teilweise rckgngig machen
function demutate(&$txt) 
{
	$txt = str_replace("&amp;","&",$txt);
	$txt = str_replace("&quot;","\"",$txt);
	$txt = str_replace("&lt;img","<img",$txt);
	$txt = str_replace("&gt;",">",$txt);
	return $txt;
}

// ################ FUNCTIONS ENDE ##############################################
?>


<table width="<?php echo $iTWidth; ?>" border="0" align="center" cellspacing="0">
	<tr>
		<th align="center">.:: SHOUTBOX ::.</th>
	</tr>
	<tr>
		<td>
		
		<table width="95%" border="0" align="center" cellspacing="1">
			<tr>
				<td>
										  
<?php

$sData = join('', file("shout_data.dat"));
$aData = explode("][", $sData);
$sDatum = gmdate("j.m.y");
$sUhr = date("G:i");

if (isset($name[1]) && isset($text[2]) && $name[0] != " " && $text[0] != " " && $shout && $text != "Text" && $name != "Nickname") 
{

	crosssave($iShouts-1, $aData);
	if( isset($url[2]) && $url[0] != " " && $url != "URL oder eMail" )
	{
		$url = str_replace("http://","",$url);
		if (strstr($url,"@"))
		{ 
			$prefix = "mailto:";
		} 
		else
		{
			$prefix = "http://";
		}
		$aData[0] = "<b><a href=\"$prefix$url\" target=\"_blank\">".mutate($name)."</a></b><br>".demutate(mutate(make_smilies(wordwrap( $text, $iWidth, "\n", 1))))."<br><i><font size=2>".$sDatum." </i>|<i> ".$sUhr."</i></font>";
	}
	else
	{
	$aData[0] = "<b>".mutate($name)."</b><br>".demutate(mutate(make_smilies(wordwrap( $text, $iWidth, "\n", 1))))."<br><i><font size=2>".$sDatum." </i>|<i> ".$sUhr."</i></font>";
	}
						
	foreach ($aData as $data) 
	{
		echo $data."<br><br>";
	}
	
	$sNewdata = implode("][",$aData);
	$file = fopen("shout_data.dat","w+");
	fwrite($file, $sNewdata);
	fclose($file);
				
} 
else

foreach ($aData as $data) 
	{
		echo $data."<br><br>";
	}

?>
				</td>
			</tr>
		</table>
		
		</td>
	</tr>
	<tr>
		<td align="center">
		
		<form action="<?php echo $PHP_SELF; ?>" method="post"><br>
<input type="text" name="name" size="10" class="text" maxlength="20" align="right" autocomplete="on" onblur="if (value=='') {value='Nickname'}" onfocus="if (value=='Nickname') {value=''}" value="Nickname"><br>
<input type="text" name="text" size="10" class="text" maxlength="250" align="right" onblur="if (value=='') {value='Text'}" onfocus="if (value=='Text') {value=''}" value="Text"><br>
<input type="text" name="url" size="10" class="text" maxlength="40" align="right" onblur="if (value=='') {value='URL oder eMail'}" onfocus="if (value=='URL oder eMail') {value=''}" value="URL oder eMail"><br>
[<a href="#" onClick="javascript:window.open('shout_smilies.php','emoticons','toolbar=0,location=0,directories=0,menuBar=0,scrollbars=1,resizable=1,width=260,height=310,left=50,top=50')">emoticons</a>]<br>      
<input type="submit" name="shout" value="SHOUT" class="submit">
		</form>
		
		</td>
	</tr>
	<tr>
		<td align="center">
		<font size="1" face="Arial">by <a href="http://www.scriptingtown.de" target="_blank">scriptingtown.de</a></font>
		</td>
	</tr>
</table>
